Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceAuthV4Request

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceRequest
          com.rsa.ace.techservice.udpserver.AbstractV4Request
              com.rsa.ace.techservice.udpserver.AbstractV4RequestWithPasscode
                  com.rsa.ace.techservice.udpserver.AceAuthV4Request

All Implemented Interfaces:
  AceRequest

Direct Known Subclasses:
  AceClientAuthV4Request

    public class AceAuthV4Request

extends AbstractV4RequestWithPasscode
implements AceRequest

This class represents an Ace Authentication Request Version 4. (ACM_REQ_AUTH4) This is an Agent authentication request packet. The version 4 request is curently sent by the version 5 agent. This is encrypted unless no node secret is established for the agent.

Nested Class Summary

Nested classes/interfaces inherited from class com.rsa.ace.techservice.udpserver.AbstractV4Request
`AbstractV4Request.MessageType`

Field Summary

Fields inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`NO_RESPONSE, QUEUE_RESPONSE, RESPOND_NOW`

Constructor Summary
`AceAuthV4Request(AceDatagram pkt)` Creates a new instance of AceAuthV4Request from a datagram.
`AceAuthV4Request(java.lang.String strUsername, java.lang.String strPin, java.lang.String strPrn, AgentConfig agentConfig)`

Method Summary
`int` | `getNodeSecretRequested()`
`AceDatagram` | `getPacket()` Provides the original packet received from the agent.
`AceResponse` | `getResponse()` Get an AceResponse from this request.
`AceSecondarySegments` | `getSecondarySegments()`
`byte[]` | `getWpCode()`
`int` | `processRequest()` Processes a V4 auth request.
`java.lang.String` | `toString()` String conversion method.
`byte[]` | `wpcodeValue(int index)`

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractV4RequestWithPasscode
`getDecryptedPasscode`

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceRequest
`getAcePinUtil, getAgentConfig, getBuffer, getCipherProvider, getCreationTime, getEncryptOffset, getHeader, getNonce, getProtocolVersion, getSecretKey, haveNodeSecret, haveSecretKey, readTrailer, setEncode, setEncryptOffset, setNodeSecret, setSecretKey, setTrailer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceRequest
`getAgentConfig, getCipherProvider, getCreationTime, getHeader, getNonce, getProtocolVersion`

Constructor Detail

### AceAuthV4Request

    public AceAuthV4Request(AceDatagram pkt)
                     throws AcePacketException

  Creates a new instance of AceAuthV4Request from a datagram.

  Parameters:
    `pkt` - The packet used to construct the request.
  Throws:
    `AcePacketException`

### AceAuthV4Request

    public AceAuthV4Request(java.lang.String strUsername,
                            java.lang.String strPin,
                            java.lang.String strPrn,
                            AgentConfig agentConfig)
                     throws AcePacketException

Throws:
  `AcePacketException`

Method Detail

### getPacket

    public AceDatagram getPacket()
                          throws AcePacketException

  Provides the original packet received from the agent.

  Specified by:
    `getPacket` in interface `AceRequest`
  Overrides:
    `getPacket` in class `AbstractAceRequest`
  Returns:
    The original input packet.
  Throws:
    `AcePacketException`

### processRequest

    public int processRequest()
                       throws AcePacketException

  Processes a V4 auth request. This is the actual function to process this type of packet. This always requests the packet to be queued. This constructs the appropriate response based on the passcode verification. NOTE - THIS IS AN INCOMPLETE IMPLEMENTATION.

  Specified by:
    `processRequest` in interface `AceRequest`
  Overrides:
    `processRequest` in class `AbstractAceRequest`
  Returns:
    An AceRequest status providing the disposition of the packet.
  Throws:
    `AcePacketException` - If an exception occurs building the repsonse.

### wpcodeValue

    public byte[] wpcodeValue(int index)

### getResponse

    public AceResponse getResponse()

  Get an AceResponse from this request.

  Specified by:
    `getResponse` in interface `AceRequest`
  Returns:
    An AceResponse with the time.

### toString

    public java.lang.String toString()

  String conversion method.

  Specified by:
    `toString` in interface `AceRequest`
  Overrides:
    `toString` in class `AbstractAceRequest`
  Returns:
    A String representation of the packet.

### getNodeSecretRequested

    public int getNodeSecretRequested()

  Returns:
    Returns the nodeSecretRequested.

### getWpCode

    public byte[] getWpCode()

  Specified by:
    `getWpCode` in interface `AceRequest`
  Overrides:
    `getWpCode` in class `AbstractAceRequest`
  Returns:
    the wpCode used to decrypt the response.

### getSecondarySegments

    public AceSecondarySegments getSecondarySegments()

  Returns:
    Returns the secondarySegments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.